Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class AbstractImportDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--com.developmentontheedge.application.dialog.OkCancelDialog
                                          |
                                          +--ru.biosoft.access.support.AbstractImportDialog

public abstract class AbstractImportDialog
extends OkCancelDialog

Abstract dialog for import

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static int` | `AUTODETECT_FORMAT` Format identifier
`final static int` | `NONE_FORMAT` Format identifier

Fields inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`ERROR, SUCCESS`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`AbstractImportDialog(ApplicationFrame frame, String dialogName)` A constructor of AbstractImportDialog
`AbstractImportDialog(ApplicationFrame frame, String dialogName, String[] formatList, String[] categoryList, JMenuItem menu)` A constructor of AbstractImportDialog
`AbstractImportDialog(ApplicationFrame frame, String dialogName, String[] formatList, String[] categoryList, boolean haveCheckBox, JMenuItem menu)` A constructor of AbstractImportDialog

Method Summary
`String` | `getDcName()` Get output data collection name
`File` | `getFile()` Get selected file
`String` | `getFileName()` Get input file name
`int` | `getFormat()` Get format identifier
`JobControl` | `getJobControl()` JobControl for Match - allows to control Match
`void` | `init(String[] formatList, String[] categoryList, boolean haveCheckBox, ApplicationFrame frame, JMenuItem menu)` Initialization function
`void` | `initWindowListeners()`
`boolean` | `isCopyFile()` Do user want to copy file?
`void` | `setController(CreateDataCollectionController c)`
`void` | `setCopyFile(boolean f)` Set copy file checkbox value
`void` | `setEnabled(boolean b)`
`void` | `setFileName(String name)` Set input file name
`void` | `setFormat(int idx)` Set format index
`void` | `setName(String name)` Set output dc name
`static void` | `sleep()`

Methods inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`doModal, getCancelButton, getOkButton, setContent`

Methods inherited from class javax.swing.JDialog
`setDefaultCloseOperation, getDefaultCloseOperation, update, setJMenuBar, getJMenuBar, remove, setLayout, getRootPane, getContentPane, setContentPane, getLayeredPane, setLayeredPane, getGlassPane, setGlassPane, setLocationRelativeTo, getAccessibleContext`

Methods inherited from class java.awt.Dialog
`addNotify, isModal, setModal, getTitle, setTitle, show, hide, dispose, isResizable, setResizable`

Methods inherited from class java.awt.Window
`pack, toFront, toBack, getToolkit, getWarningString, getLocale, getInputContext, setCursor, getOwner, getOwnedWindows, addWindowListener, removeWindowListener, getListeners, getFocusOwner, postEvent, isShowing, applyResourceBundle, applyResourceBundle, getGraphicsConfiguration`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, removeAll, getLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, print, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, getParent, getPeer, setDropTarget, getDropTarget, getTreeLock, isValid, isDisplayable, isVisible, isEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTODETECT_FORMAT

    public final static int AUTODETECT_FORMAT

  Format identifier

### NONE_FORMAT

    public final static int NONE_FORMAT

  Format identifier

Constructor Detail

### AbstractImportDialog

    public AbstractImportDialog(ApplicationFrame frame, String dialogName)

  A constructor of AbstractImportDialog
  Parameters:
    frame - a frame
    dialogName - a name of dialog

### AbstractImportDialog

    public AbstractImportDialog(ApplicationFrame frame, String dialogName, String[] formatList, String[] categoryList, JMenuItem menu)

  A constructor of AbstractImportDialog
  Parameters:
    frame - a frame
    dialogName - a name of dialog
    formatList - list of stings for format selection combobox
    categoryList - list of category names specifies what messages will be shown on log window

### AbstractImportDialog

    public AbstractImportDialog(ApplicationFrame frame, String dialogName, String[] formatList, String[] categoryList, boolean haveCheckBox, JMenuItem menu)

  A constructor of AbstractImportDialog
  Parameters:
    frame - a frame
    dialogName - a dialog name
    formatList - list of stings for format selection combobox
    haveCheckBox - have checkbox....

Method Detail

### getDcName

    public String getDcName()
                      throws java.lang.Exception

  Get output data collection name
  Returns: data collection name
  Throws:
    Exception

### getFile

    public File getFile()
                  throws java.lang.Exception

  Get selected file
  Returns: a file
  Throws:
    Exception

### getFileName

    public String getFileName()
                        throws java.lang.Exception

  Get input file name
  Returns: a file name
  Throws:
    Exception

### getFormat

    public int getFormat()

  Get format identifier
  Returns: format identifier

### getJobControl

    public JobControl getJobControl()

  JobControl for Match - allows to control Match

### init

    public void init(String[] formatList, String[] categoryList, boolean haveCheckBox, ApplicationFrame frame, JMenuItem menu)

  Initialization function
  Parameters:
    formatList - list of stings for format selection combobox
    haveCheckBox - does dialog have checkbox
    frame - a frame

### initWindowListeners

    public void initWindowListeners()

### isCopyFile

    public boolean isCopyFile()

  Do user want to copy file?
  Returns: is copy file selector choosed?

### setController

    public void setController(CreateDataCollectionController c)

  Parameters:
    frame - a frame
    dialogName - a dialog name
    formatList - list of stings for format selection combobox
    haveCheckBox - have checkbox....
  Subauthor nvo To have a chance to replace the default ImportController. Needed for SelectedSites2SequenceImportDialog where Dialogbox for 'file exists: overwrite ALL, YES, NO' is NOT NEEDED!

### setCopyFile

    public void setCopyFile(boolean f)

  Set copy file checkbox value
  Parameters:
    f - should file be copied?

### setEnabled

    public void setEnabled(boolean b)

### setFileName

    public void setFileName(String name)

  Set input file name
  Parameters:
    name - a file name

### setFormat

    public void setFormat(int idx)

  Set format index
  Parameters:
    idx - a index

### setName

    public void setName(String name)

  Set output dc name
  Parameters:
    name - a name

### sleep

    public static void sleep()

Association Links

to Class ru.biosoft.access.CreateDataCollectionController

to Class com.developmentontheedge.application.ApplicationFrame

  A frame for dialog

to Class com.developmentontheedge.application.dialog.BrowseTextField

  Browse text

  pending (cher) variable browseTextField ought to be initialized in inner classes in future

to Class javax.swing.JComboBox

  Format selection combobox

to Class javax.swing.JTextField

  Name editor text field

to Class javax.swing.JCheckBox

  copy file select box

to Class javax.swing.JMenuItem

  Menu item connected with import

to Class com.developmentontheedge.jobcontrol.JobControlPane

  JobControlPane to control import process.

to Class org.apache.log4j.Category

  A category

to Class com.developmentontheedge.log.TextPaneAppender

to Class java.lang.String

to Class java.lang.String

to Class com.developmentontheedge.jobcontrol.FunctionJobControl

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM